const publish = require('mediacentral-publish');
const publishHelper = require('../publish/publishHelper');
const sign = require('mediacentral-sign');
const log4jsHelper = require('../../config/log4jsHelper');

async function redArguments(options) {
    
    if ((options.build === true && options.buildImage !== true && options.publish !== true)) { 
        const buildObject = await publishHelper.buildOptionsToObject(options);
        if(options.didProgress)
        buildObject.didProgress = options.didProgress;
        await log4jsHelper.log4JsConfiguration(buildObject.project);
        return await publish(buildObject);
    }

    if ((options.buildImage === true && options.build !== true && options.publish !== true)) { 
        const buildImageObject = await publishHelper.buildImageOptionsToObject(options);
        // Add didProgress function
        if(options.didProgress) {
            buildImageObject.didProgress = options.didProgress;
        }
        await log4jsHelper.log4JsConfiguration(buildImageObject.project);
        return await publish(buildImageObject);
    }

    if ((options.publish === true && options.build !== true && options.buildImage !== true)) {
        const publishObject = await publishHelper.publishOptionsToObject(options);
        if(options.didProgress)
        publishObject.didProgress = options.didProgress;
        await log4jsHelper.log4JsConfiguration(publishObject.project);
        return await publish(publishObject);
    }

    if (options.core === true) {
        options.projectChoice = 'core';
        return options;
    }

    if (options.react === true) {
        options.projectChoice = 'react';
        return options;
    }

    if (options.sign === true) {
        await sign(options);
        return true;
    }

    return false;
}

module.exports = {
    redArguments
};
