const ProgressBarPlugin = require('progress-bar-webpack-plugin');
const chalk = require('chalk');
const webpack = require('webpack');

const merge = require('webpack-merge');
const common = require('./webpack.common.config');
const Config = require('../config').getData();

module.exports = merge(common, {
    devtool: 'cheap-eval-source-map',
    mode: 'development',

    devServer: {
        proxy: {
            '/': {
                target: `https://${Config.hostIp}:${Config.hostPort}`,
                secure: false,
                autoRewrite: true,
                xfwd: true
            }
        }
    },

    plugins: [new webpack.DefinePlugin({
        'process.env': {
            NODE_ENV: JSON.stringify('development')
        }
    }), new ProgressBarPlugin({
        format: '  build [:bar] ' + chalk.green.bold(':percent') + ' (:elapsed seconds)',
        clear: false
    })]
});