const WebpackDevServer = require("webpack-dev-server");
const webpack = require("webpack");

function connect() {
    const webpackDevConfig = require('../config/webpack.dev.config');
    const compiler = webpack(webpackDevConfig);
    const webpackDevServerConfig = require('../config/webpackDevServer.config');
    const colors = require('../config/colors');
    const Config = require('../config').getData();
    const port = Config.proxyPort;
    const host = Config.proxyHost;

    const server = new WebpackDevServer(compiler, webpackDevServerConfig);

    server.listen(port, host, function () {
        console.log(`Listening on https://${host}:${port}`);
    }).on('error', (err) => {
        console.error(`${colors.FgRed}ERROR: Couldn't start proxy on port ${port}.
    Is it already running?
    ${err}
    ${colors.Reset}`);
    });
}

module.exports = {
    connect
};
