module.exports = async function index(options) {
    const appCreator = require(`./appCreator`);
    const cliHelper = require(`./cli/cliHelper`);
    const arg = require(`./arguments/argumentsHelper`);
    const cli = options === undefined;
    let createArguments;

    if (cli) {
        createArguments = await cliHelper.useCLI();
    } else {
        createArguments = await arg.redArguments(options);
        if (createArguments.config) return createArguments;
    }

    if (createArguments === false) await appCreator.createApp();

    if (typeof createArguments === "object") await appCreator.createApp(createArguments);

    return true;
};

/**
 * Options for MediaCentral | CloudUx App
 * @param {object} options Information about your application
 * @param {string} options.hostIp Your MediaCentral | CloudUx machine address
 * @param {number} options.hostPort Your MediaCentral | CloudUx machine port
 * @param {number} options.proxyPort Your local proxy port
 * @return {void}
 */
module.exports.connect = function (options) {
    const cloudConnect = require('./connector/scripts/start');
    const Config = require('./connector/config');
    new Config(options);
    cloudConnect.connect();
};
