/**
 * Copyright 2017-2019 by Avid Technology, Inc.
 */
import { getLocalization } from '../../app/localization';
import appConfig from '../../package.json';
import icon from '../../images/icon.json';
import l10nData from '../../l10n/lang.en.json';
import EntryWrapper from './EntryWrapper';

export default {
    factory: (config) => {
        return new EntryWrapper(config);
    },
    config: {
        dockable: false,
        isMultiInstance: true,
        title: getLocalization(l10nData)('app-title'),
    },
    menuIcon: {
        group: 200,
        orderInGroup: 202,
        title: appConfig.identity.appName,
        icon: icon.icon,
        gradient: ['#ba2f82', '#cf4c85'],
    },
};
